## python-pytest-trio 0.8.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pytest-trio
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pytest-trio (0.8.0-4) unstable; urgency=medium

  * Team upload.
  * Fix test failures with pytest 8.4 (closes: #1114324).

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Sep 2025 09:11:20 +0100

python-pytest-trio (0.8.0-3) unstable; urgency=low

  * Add patch to fix logo URL (Closes: #1057601).
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Jan 2024 21:03:45 +0000

python-pytest-trio (0.8.0-2) unstable; urgency=medium

  * Install testfiles using d/pybuild.testfiles.
  * Add patch to fix imports of trio._tests from python3-trio-0.22.1.
  * Clean up .pytest_cache directory after build-time tests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 11 Jul 2023 12:57:59 +0000

python-pytest-trio (0.8.0-1) unstable; urgency=low

  * Initial release (Closes: #1040009).

 -- Michael Fladischer <fladi@debian.org>  Sat, 01 Jul 2023 10:38:02 +0000

=== debian/control ===
Source: python-pytest-trio
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hypothesis,
 python3-outcome,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.trio,
 python3-trio,
Standards-Version: 4.6.2
Homepage: https://github.com/python-trio/pytest-trio
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-trio
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-trio.git
Rules-Requires-Root: no

Package: python-pytest-trio-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Pytest plugin for trio (Documentation)
 This is a pytest plugin to help you test projects that use Trio, a friendly
 library for concurrency and async I/O in Python.
 .
 Features include:
  * Async tests without the boilerplate: just write
    async def test_whatever(): ....
  * Useful fixtures included: use autojump_clock for easy testing of code with
    timeouts, or nursery to easily set up background tasks.
  * Write your own async fixtures: set up an async database connection or start
    a server inside a fixture, and then use it in your tests.
  * If you have multiple async fixtures, pytest-trio will even do setup/teardown
    concurrently whenever possible.
  * Integration with the fabulous Hypothesis library, so your async tests can
    use property-based testing: just use @given like you’re used to.
  * Support for testing projects that use Trio exclusively and want to use
    pytest-trio everywhere, and also for testing projects that support multiple
    async libraries and only want to enable pytest-trio’s features for a subset
    of their test suite.
 .
 This package contains the documentation.

Package: python3-pytest-trio
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pytest-trio-doc,
Description: Pytest plugin for trio (Python3 version)
 This is a pytest plugin to help you test projects that use Trio, a friendly
 library for concurrency and async I/O in Python.
 .
 Features include:
  * Async tests without the boilerplate: just write
    async def test_whatever(): ....
  * Useful fixtures included: use autojump_clock for easy testing of code with
    timeouts, or nursery to easily set up background tasks.
  * Write your own async fixtures: set up an async database connection or start
    a server inside a fixture, and then use it in your tests.
  * If you have multiple async fixtures, pytest-trio will even do setup/teardown
    concurrently whenever possible.
  * Integration with the fabulous Hypothesis library, so your async tests can
    use property-based testing: just use @given like you’re used to.
  * Support for testing projects that use Trio exclusively and want to use
    pytest-trio everywhere, and also for testing projects that support multiple
    async libraries and only want to enable pytest-trio’s features for a subset
    of their test suite.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-pytest-trio-$1.tar.gz/ \
https://github.com/python-trio/pytest-trio/tags \
/python-trio/pytest-trio/archive/refs/tags/v([\d\.]+)\.tar\.gz
